Bug 784935 - Provide OSGi metadata in junit.jar manifest file
Summary: Provide OSGi metadata in junit.jar manifest file
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: junit
Version: rawhide
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Mikolaj Izdebski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-01-26 18:07 UTC by Roland Grunberg
Modified: 2014-04-29 05:36 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-04-29 05:36:08 UTC


Attachments (Terms of Use)
Patch (3.20 KB, patch)
2012-01-26 18:08 UTC, Roland Grunberg
no flags Details | Diff

Description Roland Grunberg 2012-01-26 18:07:34 UTC
It would be nice if the latest junit package provided OSGi metadata in the manifest of the junit.jar . This change would allow a consumer (eclipse) to simplify its build process which would allow a consumer of eclipse jars (tycho) to properly process dependencies.

This change should not affect other consumers of the jar that happen to also require certain OSGi metadata as they would already be injecting their own attributes. (In fact it should ease their situation as well). As for consumers of the jar who do not depend on any of the OSGi metadata, the attributes being added would be ignored.

Comment 1 Roland Grunberg 2012-01-26 18:08:35 UTC
Created attachment 557717 [details]
Patch

Comment 2 Alexander Kurtakov 2012-01-27 10:08:20 UTC
(In reply to comment #1)
> Created attachment 557717 [details]
> Patch

Roland, this is a workaround and while it's ok for now this kind of problems bite us sooner or later. Please work on fixing the junit buildsystem upstream to produce the osgi MANIFEST.MF as part of the build system itself. One option is to use somekind of manifest.mf.in file to process it at build time to put correct values, another one is to use smth like https://admin.fedoraproject.org/pkgdb/acls/name/OSGi-bundle-ant-task. Please stick to things available in fedora already so we don't have to care for more packages just because of that.

Comment 3 Tomas Radej 2012-01-31 14:11:19 UTC
Patch is applied, expect the new version to be in rawhide soon.

Comment 4 Tomas Radej 2012-01-31 14:14:08 UTC
Also, please sort this change with upstream.

Comment 5 Roland Grunberg 2012-02-06 16:41:16 UTC
The work to make junit an OSGi bundle has been discussed for some time [1] and is currently awating approval [2] to be merged into junit upstream. The library used, bndlib, is in fedora (aqute-bndlib).

[1] https://github.com/KentBeck/junit/issues/212
[2] https://github.com/KentBeck/junit/pull/368

Comment 6 Roland Grunberg 2012-07-27 17:41:47 UTC
Upstream seems to have the ability to build with maven, so the necessary manifest attributes can be added there. This is being proposed in https://github.com/KentBeck/junit/pull/464/ .

Comment 7 Fedora End Of Life 2013-04-03 19:49:58 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Comment 8 Fedora Admin XMLRPC Client 2014-04-24 12:46:53 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.


Note You need to log in before you can comment on or make changes to this bug.